<template>
  <div>
    <q-card>
      <q-card-section>
        {{ $attrs.itemForm.judul }}
      </q-card-section>
      <q-card-section>
        <div v-for="inputItem in $attrs.itemForm.komponen">
          <q-input standout="bg-green text-white" style="margin-top: 20px" v-if="!inputItem.pilihan" :type="inputItem.type" :label="inputItem.label" :hint="inputItem.hint" v-model="isiForm[inputItem.label]" @input="inputForm" />
<!--          Jika select box-->
          <q-select
            v-if="inputItem.type == 'select'"
            :label="inputItem.label"
            :hint="inputItem.hint"
            v-model="isiForm[inputItem.label]"
            :options="inputItem.option"
            @input="inputForm"
            map-options
            emit-value
          />
<!--          Jika checbox-->
          <label v-if="inputItem.type == 'checkbox'">{{ inputItem.label }}</label>
          <div v-for="opsiPilihan in inputItem.option" v-if="inputItem.type == 'checkbox'">
            <q-checkbox :hint="inputItem.hint" v-model="isiForm[inputItem.label]" :value="opsiPilihan.value" :label="opsiPilihan.label" @input="inputForm"  />
          </div>
<!--          Jika Radio Button-->
          <label v-if="inputItem.type == 'radio'">{{ inputItem.label }}</label>
          <div v-for="opsiPilihan in inputItem.option" v-if="inputItem.type == 'radio'">
            <q-radio :hint="inputItem.hint" v-model="isiForm[inputItem.label]" :value="opsiPilihan.value" :label="opsiPilihan.label" @input="inputForm"  />
          </div>
        </div>
      </q-card-section>
    </q-card>
  </div>
</template>

<script>
export default {
  name: 'FormTambahan',
  data () {
    return {
      isiForm: {}
    }
  },
  methods: {
    inputForm() {
      this.$emit("inputForm", this.isiForm, this.$attrs.myIndex, this.$attrs.komponen, this.$attrs.itemForm)
    }
  }
}
</script>
